/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software: you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation, either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

module mde.input.exception;

public import mde.exception;

/// Base Input exception class.
class inputException : mdeException {
    char[] getSymbol () {
        return super.getSymbol ~ ".input";
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class InputClassException : inputException {
    char[] getSymbol () {
        return super.getSymbol ~ ".input.Input";
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}

class ConfigLoadException : inputException {
    char[] getSymbol () {
        return super.getSymbol ~ ".config.Config";
    }
    
    this (char[] msg) {
        super(msg);
    }
    this () {}
}
